package com.goldenwater.slaj.ttsa.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.goldenwater.slaj.ttsa.mapper.BisTtsaCertRevApplMapper;
import com.goldenwater.slaj.ttsa.domain.BisTtsaCertRevAppl;
import com.goldenwater.slaj.ttsa.service.IBisTtsaCertRevApplService;

@Service
public class BisTtsaCertRevApplServiceImpl implements IBisTtsaCertRevApplService {
    @Autowired
    private BisTtsaCertRevApplMapper bisTtsaCertRevApplMapper;

    @Override
    public BisTtsaCertRevAppl selectBisTtsaCertRevApplByGuid(String guid) {
        return bisTtsaCertRevApplMapper.selectBisTtsaCertRevApplByGuid(guid);
    }

    @Override
    public List<BisTtsaCertRevAppl> selectBisTtsaCertRevApplList(BisTtsaCertRevAppl bisTtsaCertRevAppl) {
        return bisTtsaCertRevApplMapper.selectBisTtsaCertRevApplList(bisTtsaCertRevAppl);
    }

    @Override
    public int insertBisTtsaCertRevAppl(BisTtsaCertRevAppl bisTtsaCertRevAppl) {
        return bisTtsaCertRevApplMapper.insertBisTtsaCertRevAppl(bisTtsaCertRevAppl);
    }

    @Override
    public int updateBisTtsaCertRevAppl(BisTtsaCertRevAppl bisTtsaCertRevAppl) {
        return bisTtsaCertRevApplMapper.updateBisTtsaCertRevAppl(bisTtsaCertRevAppl);
    }

    @Override
    public int deleteBisTtsaCertRevApplByGuid(String guid) {
        return bisTtsaCertRevApplMapper.deleteBisTtsaCertRevApplByGuid(guid);
    }

    @Override
    public int deleteBisTtsaCertRevApplByGuids(String[] guids) {
        return bisTtsaCertRevApplMapper.deleteBisTtsaCertRevApplByGuids(guids);
    }
}
